Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 446976 - Review Request: tkabber - Tkabber is a Free and Open Source client for the Jabber instant messaging system.
Summary: Review Request: tkabber - Tkabber is a Free and Open Source client for the J...
Keywords:
Status: CLOSED DUPLICATE of bug 650180
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 446965 (view as bug list)
Depends On: 446978
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-05-16 19:51 UTC by Alexey Lubimov
Modified: 2010-11-05 15:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-15 07:06:29 UTC


Attachments (Terms of Use)

Description Alexey Lubimov 2008-05-16 19:51:47 UTC
Spec URL: ftp://srv.l14.ru/pub/repo/FC/9/SPECS/tkabber.spec
SRPM URL: ftp://srv.l14.ru/pub/repo/FC/9/SRPMS/tkabber-0.10.1.beta2-1.fc9.src.rpm
Description: 

Tkabber is a tool to communicate  over the internet.
It uses the standard xmpp (jabber) protocol.

Comment 1 Jason Tibbitts 2008-05-16 22:22:08 UTC
*** Bug 446965 has been marked as a duplicate of this bug. ***

Comment 2 Peter Lemenkov 2008-05-17 17:25:41 UTC
I'll review it.

Comment 3 Peter Lemenkov 2008-05-19 12:54:37 UTC
Initial remarks:

* Requires tktray. Do you plan to submit it for review?
* desktop-file-install - wrong vendor
* Wrong versioning scheme - should be


Version: 0.10.1
Release: 0.1.beta2%{?dist}

where Release consists of 0 (which means prerelease) ++ buildnum ++ beta2
(prerelease version) ++ %{dist}

Using this naming scheme we may ensure that application will be updated then it
will be released ( 0.10.1-[1-9] > 0.10.1-0.anything, but 0.10.1.beta2 >
0.10.1-anything)

Consider to change your spec-file according to these suggestions.

BTW This wonderful app was in my TODO-list for a long time and I'm glad to see
that now it's on the way to Fedora, finally :)

Comment 4 Alexey Lubimov 2008-05-19 15:43:08 UTC
>* Requires tktray. Do you plan to submit it for review?

yes. already submitted.

https://bugzilla.redhat.com/show_bug.cgi?id=446978

* desktop-file-install - wrong vendor

Maybe. But I don't know right value of this parameter. 

Any tips or suggest for this bug?

At this time, I simple removed --vendor from desktop-file-install.

* Wrong versioning scheme - should be

fixed

ftp://srv.l14.ru/pub/repo/FC/9/SPECS/tkabber.spec
ftp://srv.l14.ru/pub/repo/FC/9/SRPMS/tkabber-0.10.1-0.1.beta2.fc9.src.rpm

Comment 5 Peter Lemenkov 2008-05-20 12:42:50 UTC
Putting this review on hold until tktray will be reviewed. 

As for vendor field in desktop-file-install, you should use vendor fedora, if
upstream doesn't provide its own. See details here:

http://fedoraproject.org/wiki/Packaging/Guidelines#head-d559ee7363418a5840ce63090c608c991cd39ce6


Comment 6 Alexey Lubimov 2008-05-20 13:01:45 UTC
>As for vendor field in desktop-file-install, you should use vendor fedora, if
upstream doesn't provide its own. See details here:

Oк. Fixed.


Comment 7 Mamoru TASAKA 2008-06-05 16:08:39 UTC
Removing NEEDSPONSOR. I am sponsoring Alexey.

Comment 9 Mamoru TASAKA 2009-01-15 17:39:54 UTC
What is the status of this bug?

Comment 10 Peter Lemenkov 2009-01-21 11:11:02 UTC
Alexey Lubimov promised me in private email, that he will renew tkabber package soon. So, I think we should wait for a while.

Comment 11 Peter Lemenkov 2009-03-15 07:06:29 UTC
Unfortunately, initial reporter has some issues with logging in to Bugzilla and has no interest in solving them.

Comment 12 Peter Lemenkov 2010-11-05 15:06:14 UTC

*** This bug has been marked as a duplicate of bug 650180 ***


Note You need to log in before you can comment on or make changes to this bug.